// Lesson 10 - lesson10EconPointClassSolution.js

"use strict"

function EconPointClass(q,p) {

	if (isNaN(p) || isNaN(q)) {
		throw new TypeError();
	}
	
 	this.quantity = q;
	this.price    = p;

	EconPointClass.TOLERANCE = 0.1; 
}

EconPointClass.prototype = {

	isEqualQuantity: function(otherQ) { 
		return (Math.abs(this.quantity - otherQ)< EconPointClass.TOLERANCE)
	},

	isEqualPrice: function(otherP) { 
		return (Math.abs(this.price - otherP) < EconPointClass.TOLERANCE)
	},

	toString: function() {
		return ("(" + this.quantity + ", " + this.price + ")");
	},

	// INDEPENDANT PRACTICE SOLUTIONS
	// Note: The comment at the end of the toString method above is important

	// Part 1a Solutions
	getQuantity: function() { return this.quantity;},
	getPrice: function() { return this.price;},

	// Part 1b Solution
	equals: function(otherPoint) {
		var xt = (Math.abs(this.price - otherPoint.price) < EconPointClass.TOLERANCE);
		var yt = (Math.abs(this.quantity - otherPoint.quantity)< EconPointClass.TOLERANCE);
		if ((xt == true) && (yt == true)) {
			return true;
		}
		return false;
	}
};





