// Lesson 10  - lesson10ModifyDOMSolution.js

"use strict"

function myMainMethod() {

	var econPoint = new EconPointClass(10,10);

	var tdIndex = document.getElementsByTagName("TD");
	tdIndex[2].innerHTML = "1";
	
	var tdEconPoint = document.getElementById("econPointID");
	tdEconPoint.innerHTML = econPoint.toString();
}


/*
* INDEPENDENT PRACTICE SOLUTION
* Note: There are multiple approaches students could implement.
* The most common is to create a copy of the original myAddEconPointsToTableData() method and 
* add "2" to every method and variable.  
* Advanced students may be asked to provide more "elegant" solutions.
*/
function myAddEconPointsToTableData2() {
	
	var myTables = document.getElementsByName("dynamicTableName2");
	var myTable = myTables[0]; // access the only table with the dynamicTableName2	

	// 2. If the table does not exist, create it and add to the document body.	
	if (myTable == null) {
		myTable = document.createElement("TABLE");
		myTable.setAttribute("name", "dynamicTableName2");
		document.body.appendChild(myTable);
	}
	
	// 3. Create an array of ten new EconPointClass objects
	var myEconPointArray = new Array();
	for (var i=0; i<10; i++)
	{
		// use a linear model to represent the negotiation points: y = m*(x - 0) + 0 
		var x = i;  // assume price's x-coordinate is the same as the index
		var m = -20;  // assume a slope of 2 for the price increases
		var y = m*(x) + 300;
		
		myEconPointArray[i] = new EconPointClass(x,y);
	}
	
	// 4. In a loop for each point in the array,
	// create a table row with two data elements,
	// add the appropriate index and points to the data elements,
	// add the data elements to the row, and finally 
	// add the new row to the table.
	for (var i=0; i<myEconPointArray.length; i++) {
		var myTableRow = document.createElement("TR");
		var myRowData1 = document.createElement("TD");
		var myRowData2 = document.createElement("TD");
		
		myRowData1.innerHTML = i;
		myRowData2.innerHTML = myEconPointArray[i].toString();
		
		myTableRow.appendChild(myRowData1);
		myTableRow.appendChild(myRowData2);
		
		myTable.appendChild(myTableRow);
	}
}



function myAddEconPointsToTableData() {
	
	var myTables = document.getElementsByName("dynamicTableName");
	var myTable = myTables[0]; // access the only table with the dynamicTableName

	if (myTable == null) {
		myTable = document.createElement("TABLE");
		myTable.setAttribute("name", "dynamicTableName");
		document.body.appendChild(myTable);
	}
	
	var myEconPointArray = new Array();
	for (var i=0; i<10; i++)
	{
		// use a linear model to represent the negotiation points: y = m*(x - 0) + 0 
		var x = i;  // assume price's x-coordinate is the same as the index
		var m = 2;  // assume a slope of 2 for the price increases
		var y = m*(x-0) + 0;
		
		myEconPointArray[i] = new EconPointClass(x,y);
	}
	
	for (var i=0; i<myEconPointArray.length; i++) {
		var myTableRow = document.createElement("TR");
		var myRowData1 = document.createElement("TD");
		var myRowData2 = document.createElement("TD");
		
		myRowData1.innerHTML = i;
		myRowData2.innerHTML = myEconPointArray[i].toString();
		
		myTableRow.appendChild(myRowData1);
		myTableRow.appendChild(myRowData2);
		
		myTable.appendChild(myTableRow);
	}
}
